<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      Student Attendance
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <!-- <ion-button (click)="getmsg()">Get msg</ion-button>

  <ion-input placeholder="message" [(ngModel)]="message"></ion-input>
  <ion-button (click)="sendmsg()">Sendmsg</ion-button> -->
  <ion-label>Courses</ion-label>
  <ion-select [(ngModel)]="SelectedCourse" cancelText="Cancel" okText="Ok">
    <ion-select-option *ngFor="let course of courses" value={{course._id}}>{{course.Name + ' 0' + course.Section}}
    </ion-select-option>
  </ion-select>
  <ion-button (click)="startAtt(SelectedCourse)">Start Attendance</ion-button>
  <br><br>
  <ion-list>
    <ion-item>
      <ion-label>Recent Attendance</ion-label>
    </ion-item>
    <ion-item-sliding *ngFor="let recent of recentAttendances">
      <ion-item>
        <ion-label class="ion-text-wrap">
          {{recent.TimeStart | date: 'dd-MM-y h:mm:a' }} -
          {{ recent.TimeStop | date: 'h:mm:a'}}<br> {{recent.CurrentCourse.Name}}
        </ion-label>
      </ion-item>
      <ion-item-options>
        <ion-item-option color="secondary" (click)="showModal(recent)">Show QR</ion-item-option>
        <ion-item-option color="danger" (click)="delete(recent._id)">Delete</ion-item-option>
      </ion-item-options>

    </ion-item-sliding>
  </ion-list>
</ion-content>
